"use strict";

let { classes: Cc, interfaces: Ci, results: Cr, utils: Cu } = Components;
Cu.import("resource://gre/modules/Services.jsm");
Cu.import("resource://gre/modules/XPCOMUtils.jsm");

let EXPORTED_SYMBOLS = ["arLocaleUtil"];

/**
 * ロケール関連ユーティリティ
 */
let arLocaleUtil = {
  /**
   * 日本語かどうか返す
   *
   * @returns {boolean}
   *          日本語かどうか
   */
  isJapanene: function() {
    let locale = "ja-JP";
    try {
      locale = Services.prefs.getCharPref("general.useragent.locale");
    } catch (e) {
    }
    
    if (/^ja/.test(locale)) {
      return true;
    }
    
    return false;
  }
};
